Loading...
Searching...
No Matches
ON_SurfaceCurvature Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_point.h>`

## Public Member Functions

double | GaussianCurvature () const
double | MeanCurvature () const
double | MinimumRadius () const
double | MaximumRadius () const

## Public Attributes

double | k1
double | k2

## Detailed Description

Definition at line 1579 of file opennurbs_point.h.

## Member Function Documentation

## GaussianCurvature()

double ON_SurfaceCurvature::GaussianCurvature | ( |  | ) | const

## MaximumRadius()

double ON_SurfaceCurvature::MaximumRadius | ( |  | ) | const

## MeanCurvature()

double ON_SurfaceCurvature::MeanCurvature | ( |  | ) | const

## MinimumRadius()

double ON_SurfaceCurvature::MinimumRadius | ( |  | ) | const

## Member Data Documentation

## k1

double ON_SurfaceCurvature::k1

Definition at line 1582 of file opennurbs_point.h.

## k2

double ON_SurfaceCurvature::k2

Definition at line 1582 of file opennurbs_point.h.

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_point.h